module initstep_i

 interface
subroutine initstep(params, anm, an, anp, bnm, bn, bnp, cnm, cn, cnp, &
     dnm, dn, dnp, phim, phi, phip, temp)
  use input_params
  real*8, dimension (100) :: params
  real*8, dimension(:,:,:), target :: anm, an, anp, bnm, bn, bnp, &
       cnm, cn, cnp, dnm, dn, dnp, phim, phi, phip, temp

 end subroutine 
 end interface 

 end module
